.login {
  display: flex;
  min-height: 100vh;
  @extend %flex-center;
  &__header {
    display: flex;
    justify-content: center;
    margin-bottom: 75px;
  }
  &__logo {
    width: 104px;
    height: 44px;
  }
  .block-typical {
    margin-top: 40px;
    padding: 50px;
    width: 450px;
  }
  &__buttons-wrapper {
   padding-top: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  // do not apply at this time
  &-forgot-link {
    position: relative;
    margin-top: 15px;
    color: $--color-text-secondary;
    &::after {
      content: "";
      display: block;
      width: 100%;
      height: 1px;
      left: 0;
      top: -1px;
      background-color: $--color-text-secondary;
      opacity: .6;
      transition: opacity .15s ease-in-out;
    }
    &:hover::after {
      opacity: 0;
    }
  }
  .remembered {
    margin-top: 20px;
    .el-checkbox__label,
    .el-checkbox__input.is-checked+.el-checkbox__label {
      color: $--color-text-primary;
    }
  }
  .el-checkbox__input.is-checked .el-checkbox__inner,
  .el-checkbox__input.is-indeterminate .el-checkbox__inner {
    border-color: $--color-primary;
    background-color: $--color-primary;
  }
  .el-checkbox__input.is-focus .el-checkbox__inner {
    border-color: $--color-primary;
  }
}
